Package org.apache.sling.resourceresolver.impl.observation

# Class ResourceChangeListenerInfo

java.lang.Object
org.apache.sling.resourceresolver.impl.observation.ResourceChangeListenerInfo

All Implemented Interfaces:
  `Comparable<ResourceChangeListenerInfo>`

public class ResourceChangeListenerInfo extends Object implements Comparable<ResourceChangeListenerInfo>
Information about a resource change listener.

## Constructor Summary

Constructors
Constructor
Description
`ResourceChangeListenerInfo(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.observation.ResourceChangeListener> ref, List<String> searchPaths)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ResourceChangeListenerInfo o)`
`org.apache.sling.api.resource.observation.ResourceChangeListener`
`getListener()`
`org.apache.sling.api.resource.path.PathSet`
`getPaths()`
`Set<String>`
`getPropertyNamesHint()`
Return a set of property name hints
`Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType>`
`getProviderChangeTypes()`
`Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType>`
`getResourceChangeTypes()`
`boolean`
`isExternal()`
`boolean`
`isValid()`
`void`
`setListener(org.apache.sling.api.resource.observation.ResourceChangeListener listener)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceChangeListenerInfo

public ResourceChangeListenerInfo(org.osgi.framework.ServiceReference<org.apache.sling.api.resource.observation.ResourceChangeListener> ref, List<String> searchPaths)

## Method Details

### isValid

public boolean isValid()

### getResourceChangeTypes

public Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType> getResourceChangeTypes()

### getProviderChangeTypes

public Set<org.apache.sling.api.resource.observation.ResourceChange.ChangeType> getProviderChangeTypes()

### getPaths

public org.apache.sling.api.resource.path.PathSet getPaths()

### getPropertyNamesHint

public Set<String> getPropertyNamesHint()
Return a set of property name hints

Returns:
  The set of names or `null`.

### isExternal

public boolean isExternal()

### getListener

public org.apache.sling.api.resource.observation.ResourceChangeListener getListener()

### setListener

public void setListener(org.apache.sling.api.resource.observation.ResourceChangeListener listener)

### compareTo

public int compareTo(ResourceChangeListenerInfo o)

Specified by:
  `compareTo` in interface `Comparable<ResourceChangeListenerInfo>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`